Uploaded image for project: 'Brooklyn'
  1. Brooklyn
  2. BROOKLYN-586

resolve issue of jsonpath dependency on missing library

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: None
    • Labels:
      None

      Description

      See

      https://lists.apache.org/thread.html/10a74756dbeb1243928eb87c379b01ba58357a6204149d98676fa025@%3Cdev.brooklyn.apache.org%3E

      The Apache Brooklyn master build [1] has failed the last couple of times for the Go build of brooklyn-client (see end of email for the error text). It looks to me like our dependency github.com/NodePrime/jsonpath has been deleted! It definitely used to be there (lots of google hits pointing at that [2]), but 404 when visiting the page.

       

      Per https://github.com/apache/brooklyn-client/pull/68 we can use a temporary fork of the repo, but we should come up with a long term fix.  If NodePrime restore the library we can use that, or we can move to another library.

       

       

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                geomacy Geoff Macartney
                Reporter:
                geomacy Geoff Macartney
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: